package com.czg.service.order.dto;

import com.czg.BaseQueryParam;
import com.czg.utils.CzgStrUtils;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 进件查询参数
 * @author ww
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MerchantQueryDTO extends BaseQueryParam {

    /**
     * 商户类型
     * 0: 个体商户;
     * 1: 企业商户;
     */
    private String userType;
    /**
     * 店铺名称 模糊查询
     */
    private String shopName;
    /**
     * 进件状态
     * {@link com.czg.PayCst.EntryStatus}
     * WAIT 待提交
     * INIT 待处理
     * AUDIT 待审核
     * SIGN 待签约
     * FINISH 已完成
     * REJECTED 失败
     */
    private String status;
    /**
     * 支付宝账号
     */
    private String alipayAccount;

    public String getUserType() {
        return CzgStrUtils.getStrOrNull(userType);
    }

    public String getShopName() {
        return CzgStrUtils.getStrOrNull(shopName);
    }

    public String getStatus() {
        return CzgStrUtils.getStrOrNull(status);
    }

    public String getAlipayAccount() {
        return CzgStrUtils.getStrOrNull(alipayAccount);
    }
}
